package com.chenyang.nse.bussiness.webtools.entity.vo;

public class DatabaseVO {
   private String id;
   private String fingerprint;
   private String host;
   private String schema;
   private String port;
   private String username;
   private String password;
   private String dbtype;
   private String datasystemname;
   private String plaintext;
   private String desensitize;

   public DatabaseVO(String id, String fingerprint, String host, String schema, String port, String username, String password, String dbtype, String datasystemname) {
      this.id = id;
      this.fingerprint = fingerprint;
      this.host = host;
      this.schema = schema;
      this.port = port;
      this.username = username;
      this.password = password;
      this.dbtype = dbtype;
      this.datasystemname = datasystemname;
   }

   public String getId() {
      return this.id;
   }

   public String getFingerprint() {
      return this.fingerprint;
   }

   public String getHost() {
      return this.host;
   }

   public String getSchema() {
      return this.schema;
   }

   public String getPort() {
      return this.port;
   }

   public String getUsername() {
      return this.username;
   }

   public String getPassword() {
      return this.password;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public String getDatasystemname() {
      return this.datasystemname;
   }

   public String getPlaintext() {
      return this.plaintext;
   }

   public String getDesensitize() {
      return this.desensitize;
   }

   public void setId(final String id) {
      this.id = id;
   }

   public void setFingerprint(final String fingerprint) {
      this.fingerprint = fingerprint;
   }

   public void setHost(final String host) {
      this.host = host;
   }

   public void setSchema(final String schema) {
      this.schema = schema;
   }

   public void setPort(final String port) {
      this.port = port;
   }

   public void setUsername(final String username) {
      this.username = username;
   }

   public void setPassword(final String password) {
      this.password = password;
   }

   public void setDbtype(final String dbtype) {
      this.dbtype = dbtype;
   }

   public void setDatasystemname(final String datasystemname) {
      this.datasystemname = datasystemname;
   }

   public void setPlaintext(final String plaintext) {
      this.plaintext = plaintext;
   }

   public void setDesensitize(final String desensitize) {
      this.desensitize = desensitize;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DatabaseVO)) {
         return false;
      } else {
         DatabaseVO other = (DatabaseVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$fingerprint = this.getFingerprint();
            Object other$fingerprint = other.getFingerprint();
            if (this$fingerprint == null) {
               if (other$fingerprint != null) {
                  return false;
               }
            } else if (!this$fingerprint.equals(other$fingerprint)) {
               return false;
            }

            Object this$host = this.getHost();
            Object other$host = other.getHost();
            if (this$host == null) {
               if (other$host != null) {
                  return false;
               }
            } else if (!this$host.equals(other$host)) {
               return false;
            }

            Object this$schema = this.getSchema();
            Object other$schema = other.getSchema();
            if (this$schema == null) {
               if (other$schema != null) {
                  return false;
               }
            } else if (!this$schema.equals(other$schema)) {
               return false;
            }

            Object this$port = this.getPort();
            Object other$port = other.getPort();
            if (this$port == null) {
               if (other$port != null) {
                  return false;
               }
            } else if (!this$port.equals(other$port)) {
               return false;
            }

            Object this$username = this.getUsername();
            Object other$username = other.getUsername();
            if (this$username == null) {
               if (other$username != null) {
                  return false;
               }
            } else if (!this$username.equals(other$username)) {
               return false;
            }

            Object this$password = this.getPassword();
            Object other$password = other.getPassword();
            if (this$password == null) {
               if (other$password != null) {
                  return false;
               }
            } else if (!this$password.equals(other$password)) {
               return false;
            }

            Object this$dbtype = this.getDbtype();
            Object other$dbtype = other.getDbtype();
            if (this$dbtype == null) {
               if (other$dbtype != null) {
                  return false;
               }
            } else if (!this$dbtype.equals(other$dbtype)) {
               return false;
            }

            Object this$datasystemname = this.getDatasystemname();
            Object other$datasystemname = other.getDatasystemname();
            if (this$datasystemname == null) {
               if (other$datasystemname != null) {
                  return false;
               }
            } else if (!this$datasystemname.equals(other$datasystemname)) {
               return false;
            }

            Object this$plaintext = this.getPlaintext();
            Object other$plaintext = other.getPlaintext();
            if (this$plaintext == null) {
               if (other$plaintext != null) {
                  return false;
               }
            } else if (!this$plaintext.equals(other$plaintext)) {
               return false;
            }

            Object this$desensitize = this.getDesensitize();
            Object other$desensitize = other.getDesensitize();
            if (this$desensitize == null) {
               if (other$desensitize != null) {
                  return false;
               }
            } else if (!this$desensitize.equals(other$desensitize)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof DatabaseVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $fingerprint = this.getFingerprint();
      result = result * 59 + ($fingerprint == null ? 43 : $fingerprint.hashCode());
      Object $host = this.getHost();
      result = result * 59 + ($host == null ? 43 : $host.hashCode());
      Object $schema = this.getSchema();
      result = result * 59 + ($schema == null ? 43 : $schema.hashCode());
      Object $port = this.getPort();
      result = result * 59 + ($port == null ? 43 : $port.hashCode());
      Object $username = this.getUsername();
      result = result * 59 + ($username == null ? 43 : $username.hashCode());
      Object $password = this.getPassword();
      result = result * 59 + ($password == null ? 43 : $password.hashCode());
      Object $dbtype = this.getDbtype();
      result = result * 59 + ($dbtype == null ? 43 : $dbtype.hashCode());
      Object $datasystemname = this.getDatasystemname();
      result = result * 59 + ($datasystemname == null ? 43 : $datasystemname.hashCode());
      Object $plaintext = this.getPlaintext();
      result = result * 59 + ($plaintext == null ? 43 : $plaintext.hashCode());
      Object $desensitize = this.getDesensitize();
      result = result * 59 + ($desensitize == null ? 43 : $desensitize.hashCode());
      return result;
   }

   public String toString() {
      return "DatabaseVO(id=" + this.getId() + ", fingerprint=" + this.getFingerprint() + ", host=" + this.getHost() + ", schema=" + this.getSchema() + ", port=" + this.getPort() + ", username=" + this.getUsername() + ", password=" + this.getPassword() + ", dbtype=" + this.getDbtype() + ", datasystemname=" + this.getDatasystemname() + ", plaintext=" + this.getPlaintext() + ", desensitize=" + this.getDesensitize() + ")";
   }
}
